#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Mutter-50.1

- Next

  gnome-shell-extensions-50.1

- Up
- Home

# gnome-shell-50.1

## Introduction to GNOME Shell

The GNOME Shell is the core user interface of the GNOME Desktop environment.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-shell/50/gnome-shell-50.1.tar.xz

- Download MD5 sum: 13d63cd5e0bbdd2e43034b9b906c711e

- Download size: 2.2 MB

- Estimated disk space required: 61 MB (with tests)

- Estimated build time: 0.2 SBU (Using parallelism=4; with tests)

### GNOME Shell Dependencies

#### Required

evolution-data-server-3.60.1, Gcr-4.4.0.1, Gjs-1.88.0, gnome-desktop-44.5, ibus-1.5.34, Mutter-50.1, Polkit-127, and startup-notification-0.12

#### Recommended

desktop-file-utils-0.28, gnome-autoar-0.4.5, gnome-bluetooth-47.2, gst-plugins-base-1.28.2, NetworkManager-1.56.0, and power-profiles-daemon-0.30

#### Optional

GTK-Doc-1.36.1 and bash-completion

#### Required Runtime Dependencies

adwaita-icon-theme-50.0, DConf-0.49.0, GDM-50.0, gnome-control-center-50.1, libgweather-4.6.0 , and Systemd-260.1

#### Recommended Runtime Dependencies

gnome-menus-3.38.1

## Installation of GNOME Shell

Install GNOME Shell by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D tests=false      \
                ..                  &&
    ninja

To run the tests, ensure Mutter is installed after running its test suite, and issue:

    meson configure -D tests=true &&
    ninja test

You must be running in a Wayland session to run the tests. Some will fail if GDM-50.0 is not installed. One test named `CSS styling support` is known to fail with some multi-monitor configurations.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D extensions_tool=false`: This switch allows building this package without gnome-autoar-0.4.5 installed.

## Contents

Installed Programs: gnome-extensions, gnome-extensions-app, gnome-shell, gnome-shell-extension-tool, and gnome-shell-test-tool
Installed Libraries: None
Installed Directories: /usr/lib/gnome-shell, /usr/share/gnome-shell, /usr/share/gtk-doc/html/{shell,st} (optional), and /usr/share/xdg-desktop-portal/

### Short Descriptions

gnome-shell | provides the core user interface functions for the GNOME Desktop

- Prev

  Mutter-50.1

- Next

  gnome-shell-extensions-50.1

- Up
- Home